Page MenuHomeLubuntu Development

what is up with k3b?!
Closed, ResolvedPublic

Description

I was going test something in k3b but it wasn't in Eoan. I added it but then it seems that it isn't to be found anywhere in any seed. This means that all of our Cosmic and Disco users don't have it. It's not to be found in our metapackages, so I guess that needs to be resolved, too. Is that just a simple matter of grabbing the repo, running the update script and pushing the fix? Should we SRU all of these?

Event Timeline

wxl triaged this task as High priority.May 5 2019, 11:53 PM
wxl created this task.

Let me talk to the SRU team and see what their thoughts are on SRUing such a patch.

wxl added a comment.May 6 2019, 12:42 PM

Ok, what about lubuntu-meta?

Also note I added ~lubuntu-packaging to the bug mail for k3b.

And we don't have a repo on Phab?

Are you referring to {rLUBUNTUMETAPACKAGING}?

wxl added a comment.May 6 2019, 1:10 PM

Yes, that's what I'm referring to with the first question— how exactly one updates it. As I said above, I'm confirming one just clones, runs the update script, and commits?

But when I'm saying we don't have a repo on Phab, I'm referring to k3b.

In T77#1124, @wxl wrote:

Yes, that's what I'm referring to with the first question— how exactly one updates it. As I said above, I'm confirming one just clones, runs the update script, and commits?

That is correct.

But when I'm saying we don't have a repo on Phab, I'm referring to k3b.

I think Kubuntu maintains that as well; I'd rather not duplicate work or step on toes.

wxl added a comment.Aug 3 2019, 12:20 AM

It looks like we're done for Eoan.

@tsimonq2 you said you were going to speak to the SRU team. If this doesn't need to be SRU'd, then we should close it. Otherwise, we should make it a child of the SRU task.

tsimonq2 closed this task as Resolved.Aug 22 2019, 7:26 PM

Don't SRU. Let's close it.